#! /bin/sh

set -e

VERSIONS="$*"
PACKAGES="DateTime Queue Proxy Stack TextTools Tools"

for ver in $VERSIONS; do
    for pkg in $PACKAGES; do
        debpkg=python$ver-egenix-mx$(echo -n $pkg | tr '[:upper:]' '[:lower:]')

        install -d debian/$debpkg/usr/share/doc-base
        sed -e "s/@PKGNAME@/$debpkg/g" \
            -e "s/@FULLNAME@/eGenix mx$pkg/g" \
            -e "s/@PKG@/mx$pkg/g" \
            <debian/docbase.template >debian/$debpkg.doc-base

        sed -e "s/@DEBPKG@/$debpkg/g" <debian/prerm.template >debian/$debpkg.prerm
        sed -e "s/@DEBPKG@/$debpkg/g" \
            -e "s/@VERSION@/$ver/g" \
            <debian/postinst.template >debian/$debpkg.postinst
    done
done
