#! /bin/sh
#
# Instead of putting cruft in the makefile, we use this ad-hoc script
# to move and remove things.

set -e

VERSIONS="$*"
PACKAGES="DateTime Queue Proxy Stack TextTools Tools"

for ver in $VERSIONS; do
    for pkg in $PACKAGES; do
        debpkg=python$ver-egenix-mx$(echo -n $pkg | tr '[:upper:]' '[:lower:]')

        if [ -f debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/mx$pkg/mx$pkg.h ]; then
            mv debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/mx$pkg/mx$pkg.h \
               debian/python-egenix-mx-base-dev/usr/include/python$ver/mx
        fi

        # Remove duplicated files, move documentation and examples.
        rm -f debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/README \
              debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/LICENSE \
              debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/COPYRIGHT

        install -d debian/$debpkg/usr/share/doc/$debpkg/html

        if [ -d debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/Examples ]; then
            install -d debian/$debpkg/usr/share/doc/$debpkg/examples

            rm -f debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/Examples/__init__.* \
                  debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/Examples/*.py?
            mv debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/Examples/* \
               debian/$debpkg/usr/share/doc/$debpkg/examples
        fi

        mv debian/python$ver-tmp/usr/lib/python$ver/site-packages/mx/Doc/mx$pkg.html \
           debian/$debpkg/usr/share/doc/$debpkg/html

        # Remove unwanted cruft.
        rm -rf debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/Examples \
               debian/$debpkg/usr/lib/python$ver/site-packages/mx/$pkg/Doc
        find debian/$debpkg -name '*.py[co]' | xargs rm -f
    done
done
